/* Extra small devices (phones, less than 576px) */
@media (max-width: 575.98px) {
    * {
        padding: 0;
        margin: 0;
    }
    body {
        font-size: 14px; /* Example: Adjust font size for small screens */
    }
    body::after {
        content: none;
    }
    .navbar::after {
        content: none;
    }
    .dash-header {
        display: none; /* Hide dash header on small screens */
    }
    h2 {
        font-size: 30px;
    }
    .navbar {
        margin-bottom: 10px; /* Example: Adjust margin for small screens */
    }
    .container {
        padding: 10px; /* Example: Adjust padding for small screens */
    }
    .login-link {
        padding-top: 20px;
    }
    .hero-content {
        text-align: center;
    }
    .hero-content h1,
    .highlight {
        font-size: 30px;
        line-height: 40px;
    }
    .hero-image {
        display: none; /* Hide hero image on small screens */
    }
    .hero-search-box {
        width: 100%;
    }
    .brand-logos h2 {
        font-size: 30px;
    }
    .brand-logos img {
        width: 80px; /* Adjust logo size for small screens */
        height: auto;
        padding: 0;
    }
    .brand-logos .logos {
        gap: 30px;
    }
    .brand-logos {
        margin: 35px 0;
    }
    .bg-feature h2 {
        margin-bottom: 20px;
        font-size: 30px;
        text-align: center;
    }
    .bg-feature .desc {
        width: 100% !important;
        text-align: center;
    }
    .bg-feature .reviews {
        display: flex !important;
        align-items: center;
        gap: 10px !important;
        justify-content: center;
    }
    .stars svg {
        width: 20px;
        height: 20px;
    }
    .stars {
        padding-bottom: 10px;
        padding-top: 30px;
    }
    .feature-icon-box {
        display: none;
    }
    .bg-feature .feature-item {
        gap: 0;
        margin-top: 20px;
        text-align: center;
    }
    .bg-feature {
        background-color: var(--bg-light);
        padding: 30px 0;
        padding-bottom: 0;
    }
    .services-top .text h2 {
        font-size: 30px;
        text-align: center;
    }
    .services-top .text p {
        width: 100% !important;
        text-align: center;
        margin-bottom: 30px;
    }
    .services-section {
        padding: 30px 0;
    }
    .service-item {
        text-align: center;
    }
    .newsletter-section {
        padding: 30px 0;
    }
    .newsletter-section h2 {
        text-align: center;
        font-size: 30px;
    }
    .newsletter-section p {
        text-align: center;
    }
    .newsletter-section small {
        text-align: center !important;
        display: block;
        margin-bottom: 20px;
    }
    .how-we-work {
        padding: 30px 0;
    }
    .step-left,
    .step-right {
        display: none;
    }
    .step-box {
        width: 100%;
        margin-bottom: 20px;
    }
    .how-we-work .section-header h2 {
        font-size: 30px;
    }
    .testimonial-section {
        padding: 30px 0;
    }
    .testimonial-header .w-50 {
        width: 100% !important;
        text-align: center;
    }
    .testimonial-header h2 {
        font-size: 30px;
    }
    .faq-section {
        margin: 30px 0;
    }
    .footer-bottom {
        flex-wrap: wrap;
        gap: 20px;
    }
    /* knowledge page css */
    .knowledge-search-section .section-title {
        margin-top: 0;
    }
    .knowledge-search-section p,
    .faq-search-section p {
        width: 100% !important;
        margin-bottom: 0px !important;
    }
    .search-box {
        width: 100%;
        margin-bottom: 20px;
    }
    .category-card {
        margin: 10px 40px;
    }
    .knowledge-details-section .container {
        margin-top: 0px !important;
    }
    .article-meta {
        flex-wrap: wrap;
    }
    .knowledge-details-section .list-sidebar {
        display: none;
    }
    .faq-search-section .section-title {
        margin-top: 0;
    }
    .contact-right {
        padding-left: 15px;
    }
    .contact-right .section-title {
        text-align: center;
    }
    .contact-right .desc {
        text-align: center;
    }
    .contact-section {
        padding-bottom: 10px;
    }
    .testimonial-contact-section {
        padding: 30px 0;
    }
    .testimonial .w-50 {
        width: 100% !important;
        text-align: center;
    }
    .testimonial {
        text-align: center;
    }
    .testimonial .avatars {
        justify-content: center;
    }
    .testimonial-contact-section .form-box {
        padding: 30px;
    }
    .form-side {
        padding: 60px 0;
    }
    .login-box form {
        padding: 15px 30px;
    }
    .login-box form .col-sm-4 {
        margin-bottom: 15px;
    }
    .knowledge-grid {
        display: block;
    }
    .dashboard-section .container {
        flex-wrap: wrap;
    }
    .dash-sidebar {
        width: 100%;
    }
    .dash-main {
        width: 100%;
    }
    
}

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) and (max-width: 767.98px) {
    .navbar::after,
    body::after {
        content: none;
    }
    .dash-header {
        display: none;
    }
    .login-link {
        padding-top: 20px;
    }
    .hero-content h1,
    .highlight {
        font-size: 40px;
        line-height: 65px;
    }
    .hero-image {
        display: none;
    }
    .bg-feature p {
        width: 100% !important;
    }
    .bg-feature .row {
        gap: 45px;
    }
    .w-75 {
        width: 100% !important;
    }
    .services-top {
        gap: 30px;
    }
    .step-right,
    .step-left {
        display: none;
    }
    .step-box {
        width: 100%;
        margin-bottom: 20px;
    }
    .testimonial-section .w-50 {
        width: 100% !important;
    }
    .newsletter-section .row {
        gap: 20px;
    }
    .how-we-work {
        padding: 60px 30px;
        margin: auto;
    }
    .search-box {
        width: 100%;
    }
    .list-sidebar {
        display: none;
    }
    .dashboard-section .container {
        flex-wrap: wrap;
    }
    .dash-sidebar {
        width: 100%;
    }
    .dash-main {
        width: 100%;
    }
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) and (max-width: 991.98px) {
    .navbar::after {
        content: none;
    }
    .login-link {
        padding-top: 20px;
    }
    .hero-content h1,
    .highlight {
        font-size: 40px;
        line-height: 65px;
    }
    .hero-image, .dash-header {
        display: none;
    }
    .bg-feature p {
        width: 100% !important;
    }
    .bg-feature .row {
        gap: 45px;
    }
    .w-75 {
        width: 100% !important;
    }
    .services-top {
        gap: 30px;
    }
    .step-right,
    .step-left {
        display: none;
    }
    .step-box {
        width: 100%;
        margin-bottom: 20px;
    }
    .testimonial-section .w-50 {
        width: 100% !important;
    }
    .brand-logos h2 {
        font-size: 35px;
    }
    .search-box {
        width: 90%;
    }
    .dash-sidebar {
        width: 75% !important;
    }
    .dashboard-section .container {
        flex-wrap: wrap;
    }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) and (max-width: 1199.98px) {
    .navbar::after {
        content: none;
    }
    .hero-content h1,
    .highlight {
        font-size: 40px;
        line-height: 65px;
    }
    .step-left,
    .step-right {
        display: none;
    }
    .step-box {
        width: 100%;
    }
    .brand-logos h2 {
        font-size: 35px;
    }
}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) and (max-width: 1399.98px) {
    .hero-content h1,
    .highlight {
        font-size: 45px;
    }
}

/* Extra extra large devices (1400px and up) */
@media (min-width: 1400px) {
    /* Your CSS here */
}
